Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.HeaderFooterContentGenerator Class Reference
Inheritance diagram for FoxitPDFSDKPython2.HeaderFooterContentGenerator:

## Public Member Functions
def | HeaderFooterContentGenerator ()
| Constructor.
def | HeaderFooterContentGenerator (other)
| Constructor, with another header-footer content generator object. More...
def | AddDate (format_type)
| Add a format string for a specified date format type. More...
def | AddPageNumber (format_type)
| Add a format string for a specified page number format type. More...
def | AddString (new_string)
| Add a string. More...
def | Clear ()
| Clear strings (including format strings) which have been added to current content generator. More...
def | GenerateContent ()
| Generate a final string which can be used as header-footer content. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
| e_DateFormatDDDotMMDotYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatDDDotMMDotYY
| If this is used, "dd.mm.yy" would be used as the date format string.
| e_DateFormatDDDotMMDotYYYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatDDDotMMDotYYYY
| If this is used, "dd.mm.yyyy" would be used as the date format string.
| e_DateFormatDDotMDotYYYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatDDotMDotYYYY
| If this is used, "d.m.yyyy" would be used as the date format string.
| e_DateFormatDDSlashMMSlashYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatDDSlashMMSlashYY
| If this is used, "dd/mm/yy" would be used as the date format string.
| e_DateFormatDDSlashMMSlashYYYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatDDSlashMMSlashYYYY
| If this is used, "dd/mm/yyyy" would be used as the date format string.
| e_DateFormatDSlashMSlashYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatDSlashMSlashYY
| If this is used, "d/m/yy" would be used as the date format string.
| e_DateFormatDSlashMSlashYYYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatDSlashMSlashYYYY
| If this is used, "d/m/yyyy" would be used as the date format string.
| e_DateFormatMDotDDotYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMDotDDotYY
| If this is used, "m.d.yy" would be used as the date format string.
| e_DateFormatMDotDDotYYYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMDotDDotYYYY
| If this is used, "m.d.yyyy" would be used as the date format string.
| e_DateFormatMMDotDDDotYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMMDotDDDotYY
| If this is used, "mm.dd.yy" would be used as the date format string.
| e_DateFormatMMDotDDDotYYYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMMDotDDDotYYYY
| If this is used, "mm.dd.yyyy" would be used as the date format string.
| e_DateFormatMMDotYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMMDotYY
| If this is used, "mm.yy" would be used as the date format string.
| e_DateFormatMMSlashDDSlashYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMMSlashDDSlashYY
| If this is used, "mm/dd/yy" would be used as the date format string.
| e_DateFormatMMSlashDDSlashYYYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMMSlashDDSlashYYYY
| If this is used, "mm/dd/yyyy" would be used as the date format string.
| e_DateFormatMMSlashYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMMSlashYY
| If this is used, "mm/yy" would be used as the date format string.
| e_DateFormatMMSlashYYYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMMSlashYYYY
| If this is used, "mm/yyyy" would be used as the date format string.
| e_DateFormatMSlashD = _fsdk.HeaderFooterContentGenerator_e_DateFormatMSlashD
| If this is used, "m/d" would be used as the date format string.
| e_DateFormatMSlashDSlashYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMSlashDSlashYY
| If this is used, "m/d/yy" would be used as the date format string.
| e_DateFormatMSlashDSlashYYYY = _fsdk.HeaderFooterContentGenerator_e_DateFormatMSlashDSlashYYYY
| If this is used, "m/d/yyyy" would be used as the date format string.
| e_DateFormatYYHyphenMMHyphenDD = _fsdk.HeaderFooterContentGenerator_e_DateFormatYYHyphenMMHyphenDD
| If this is used, "yy-mm-dd" would be used as the date format string.
| e_DateFormatYYYYHyphenMMHyphenDD = _fsdk.HeaderFooterContentGenerator_e_DateFormatYYYYHyphenMMHyphenDD
| If this is used, "yyyy-mm-dd" would be used as the date format string.
| e_PageNumberFormatDefault = _fsdk.HeaderFooterContentGenerator_e_PageNumberFormatDefault
| If this is used, "1" would be used as the page number format string.
| e_PageNumberFormatNumberOfCount = _fsdk.HeaderFooterContentGenerator_e_PageNumberFormatNumberOfCount
| If this is used, "1 of n" would be used as the page number format string.
| e_PageNumberFormatNumberSlashCount = _fsdk.HeaderFooterContentGenerator_e_PageNumberFormatNumberSlashCount
| If this is used, "1/n" would be used as the page number format string.
| e_PageNumberFormatPageNumber = _fsdk.HeaderFooterContentGenerator_e_PageNumberFormatPageNumber
| If this is used, "Page 1" would be used as the page number format string.
| e_PageNumberFormatPageNumberOfCount = _fsdk.HeaderFooterContentGenerator_e_PageNumberFormatPageNumberOfCount
| If this is used, "Page 1 of n" would be used as the page number format string.

## Detailed Description

This class is the generator for header-footer content. It can help user to combine dates in specified format, page numbers in specified format and any customized text content to one string which can be used as header-footer content.

## Constructor & Destructor Documentation

## ◆ HeaderFooterContentGenerator()

def FoxitPDFSDKPython2.HeaderFooterContentGenerator.HeaderFooterContentGenerator | ( |  | other | ) |

Constructor, with another header-footer content generator object.

Parameters

  [in] | other | Another header-footer content generator object.

## Member Function Documentation

## ◆ AddDate()

def FoxitPDFSDKPython2.HeaderFooterContentGenerator.AddDate | ( |  | format_type | ) |

Add a format string for a specified date format type.

Header-footer content can contain format string for date. The date format string will be replaced by actual date time in specified format when the header-footer is used in PDF document.

Parameters

  [in] | format_type | Date format type. Please refer to values starting from FoxitPDFSDKPython2.HeaderFooterContentGenerator.e_DateFormatMSlashD and this should be one of these values.

Returns
  None.

## ◆ AddPageNumber()

def FoxitPDFSDKPython2.HeaderFooterContentGenerator.AddPageNumber | ( |  | format_type | ) |

Add a format string for a specified page number format type.

Header-footer content can contain format string for page number. The page number format string will be replaced by page number in specified format when the header-footer is used in PDF document.

Parameters

  [in] | format_type | Page number format type. Please refer to values starting from FoxitPDFSDKPython2.HeaderFooterContentGenerator.e_PageNumberFormatDefault and this should be one of these values.

Returns
  None.

## ◆ AddString()

def FoxitPDFSDKPython2.HeaderFooterContentGenerator.AddString | ( |  | new_string | ) |

Add a string.

Parameters

  [in] | new_string | A string.

Returns
  None.

## ◆ Clear()

def FoxitPDFSDKPython2.HeaderFooterContentGenerator.Clear | ( |  | ) |

Clear strings (including format strings) which have been added to current content generator.

After this function is called, current content generator will be the same as a newly constructed object.

Returns
  None.

## ◆ GenerateContent()

def FoxitPDFSDKPython2.HeaderFooterContentGenerator.GenerateContent | ( |  | ) |

Generate a final string which can be used as header-footer content.

Returns
  The final string which can be used as header-footer content.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.HeaderFooterContentGenerator.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.